<?php use_helper('UrlFunctions'); ?>

<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}

actualizarMonto = function(destino,elm){
  var noComunico = $('NoAviso').checked;	 
  duplicarV = 0;
  if(noComunico){
  	duplicarV = 1;
  }
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getMonto&nombreElm='+destino+'&value='+elm.value+'&duplicar='+duplicarV;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
  destino = 'FechaInasistencia';
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getFechaAbiertaOPE&nombreElm='+destino+'&value=<?=myUser::getUser()->getIdColaborador()?>';
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
                            		
}

function duplicar(object){
	if($('Monto').value){
		if(object.checked){
			$('Monto').value = (parseFloat($('Monto').value)*2);
		}else{
			$('Monto').value = (parseFloat($('Monto').value)/2);
		}
	}
}
</script>
<?php
	 //Obtener Dia Abierto del balance diario
	
	  if(myUser::getUser()->getIdPadre()=="1"){
	  	$o_ColaboradorBean_Temp = new ColaboradorBean();
	  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
	  	$o_ColaboradorBL_Temp = new ColaboradorBL();
	  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
	  	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
	  	
	 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
	 	//SIN FILTRO
	 	  
	 }else{
	  	$idAdministrador = myUser::getUser()->getIdColaborador();
	  	//echo myUser::getUser()->getIdColaborador();
	    //echo $idAdministrador."xxx";
	 }
	 
	 if($idAdministrador){
		$o_SucursalBean = new SucursalBean();
		$o_SucursalBean->setIdAdministrador($idAdministrador);
		$o_SucursalBL = new SucursalBL();
		$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
		//----------------------------------------------------
		$IdSucursal = $a_o_sucursal[0]->getIdSucursal();
		
	 }
	$o_colaborador = new ColaboradorBean();
	$o_colaborador->setIdPadre($idAdministrador);

	$o_BalanceDia = new BalanceDiaBean();
	$o_BalanceDia->setIdSucursal($IdSucursal);
	
	
	$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
	$fecha = $o_BalanceDiaDP->ObtenerDiaAbierto();
	
	
	if(isset($control)){
	 
		//--------------
		$o_crSucursalBean = new SucursalBean();
		$o_crSucursalBean->setIdAdministrador($cboColaborador);
		$o_crSucursalDP = new SucursalDP($o_crSucursalBean);
	  	$a_o_crSucursal = $o_crSucursalDP->select();
	  	
		if(count($a_o_crSucursal) >0){
			$i=1;
			foreach($a_o_crSucursal as $key => $o_crSucursal){
				$IdSucursal = $o_crSucursal->getIdSucursal();
			}
		}
		$o_BalanceDiaNew = new BalanceDiaBean();
		$o_BalanceDiaNew->setIdSucursal($IdSucursal); 
		
		
		$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
		$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();
		
			  
		$o_asistenciaFNTemp = new CrAsistenciaFN();
		$o_asistenciaFNTemp->setIdColaborador($cboColaborador);
		$o_asistenciaFNTemp->setTipoAsistencia('I');
		$o_asistenciaFNTemp->setFecha($fechaBalanceAbierto);
		
		$a_o_asistenciaFNTemp = $o_asistenciaFNTemp->select();
		
		if(!is_array($a_o_asistenciaFNTemp)){
		
		  $o_asistencia = new CrAsistenciaDP();
		   
		  $o_asistencia->setIdColaborador($cboColaborador);
		  $o_asistencia->setTipoAsistencia('I');
		  $o_asistencia->setIdSucursal($IdSucursal);
		  
		  $o_asistencia->setEstado('A');
		  //De vuelta clacula el Monto a descontar
		  $o_crColaboradorBean = new ColaboradorBean();
		  $o_crColaboradorBean->setIdColaborador($cboColaborador);
		
		  $o_crColaboradorDP = new ColaboradorDP($o_crColaboradorBean);
		  $a_o_crColaborador = $o_crColaboradorDP->select();
		
		  if(count($a_o_crColaborador) >0){
			$i=1;
			foreach($a_o_crColaborador as $key => $o_crColaborador){
				$montoD = round($o_crColaborador->getSueldo()/30,2);
			}
		  }
		  if($NoAviso) $montoD = $montoD * 2;
		    $o_asistencia->setMonto($montoD);
		    
		    	
			
		  
		  if($NoAviso) $o_asistencia->setNoAviso($NoAviso);
		  else $o_asistencia->setNoAviso("0.00");
		  $o_asistencia->setFecha($fechaBalanceAbierto);
		  $o_asistencia->setNumeroMinutos($NumeroMinutos);
		  $o_asistencia->setComentario($Comentario);
		  $o_asistencia->setUsuarioCreacion(myUser::getUser()->getUserId());
		  $o_asistencia->setFechaCreacion(date("Y-m-d H:i:s"));
		  $o_asistencia->setHoraMinuto($fechaBalanceAbierto." ".$hora.":".$minuto.":00");
		  $bResult = $o_asistencia ->save();
		
		//-----------
		}else{
			exit("No se puede ingresar otra insistencia para esta fecha ".$fechaBalanceAbierto);
		}
  
 	 if($bResult){
	    ?>
	    <script language="JavaScript">
	    parent.objMainTab.reqBody('<?=buildUrl('asistencia_new/list')?>','&block=002&insert=1&cod=<?=$o_asistencia->getIdAsistencia()?>');
	    parent.objMainTab.windowsCloseAll();
	    </script>
	    <?
  }else{
    $url = buildUrl('asistencia/add', "block=".$block."&error=1");
  }
  exit;
}
 $a_rol[] = 'sys.ope';
 $a_rol[] = 'sys.sup';
 
 $o_colaborador->setFiltroColaborador($a_rol);
 $o_colaborador->setEstado('A');
 $o_colaborador->sortCampos = "Apellido;Nombre";
 $o_colaborador->sortType = "1;1";
 $o_colaboradorDP = new ColaboradorDP($o_colaborador);
 $a_Colaborador = $o_colaboradorDP->select();

 ?>
 
<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Asistencia</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Ficha de Asistencia</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
      
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST">
      <input type="hidden" name="control" value="1">
        <table hspace="20px" class="marco" width="99%">
          <tr>
            <td valign="top">
              <table width="100%" border="0" cellpadding="5" cellspacing="0" style="background: #E3E9E2">
          		<tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos Generales</I></legend>
    					 <table width="100%" border="0" cellspacing="6" cellpadding="0">
							  <tr>
                  					<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtAdministrador" >Representantes</label></td>
  								 	<td nowrap="nowrap"><select class="combo validate-selection " name="cboColaborador" id="cboColaborador" onchange="actualizarMonto('Monto',this)" >
					                  <option value="" > - Seleccionar - </option>
					                  <?php foreach ($a_Colaborador as $iKey => $o_ColaboradorBean){ ?>
					                  <option value="<?=$o_ColaboradorBean->getIdColaborador()?>">
					                    <?=ucwords(mb_strtolower($o_ColaboradorBean->getNombreCompleto()))?>
					                  </option>
					                  <?php } ?>
					                </select>
					               </td>
					          </tr>
					          
							 <tr>
								
								 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtFecha" >F. Asistencia</label></td>
								 <td nowrap="nowrap"  class="label req" id="FechaInasistencia" ><input type="text" class="required" value="<?php echo $fecha;?>" readonly></td>
							  </tr>
							    <tr>
								
								 <td width="12%" nowrap="nowrap" class="cabecera"><label class="label req" for="txtFecha" >Hora - Minuto</label></td>
								 <td nowrap="nowrap"  class="label req" id="FechaInasistencia" >
								     <!--<select class="combo validate-selection " name="hora" id="hora" >
					                  <option value="" > - Seleccionar - </option>
					                  
					                  
					                   <option value="07">07</option>
					                   <option value="08">08</option>
					                  <option value="09">09</option>
					                  <option value="10">10</option>
					                  
					                </select>-->
					                <input class="required" type="text"  name="hora" id="hora" value="<?php echo date("H")?>" readonly size="7">
					                
					                 <!--<select class="combo validate-selection " name="minuto" id="minuto" >
					                  <option value="" > - Seleccionar - </option>
					                  <?php for ($i=0;$i<=59;$i=$i+1){ ?>
					                  <option value="<?=str_pad($i, 2, "0", STR_PAD_LEFT);?>">
					                    <?=str_pad($i, 2, "0", STR_PAD_LEFT);?>
					                  </option>
					                  <?php } ?>
					                  
					                  
					                </select>-->
					                <input class="required" type="text"  name="minuto" id="minuto" value="<?php echo date("i")?>" readonly size="7">
								 </td>
							  </tr>
							  <tr>
									<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Comemtario</label></td>
									<td nowrap="nowrap" width="38%"><textarea  name="Comentario" id="Comentario" cols="50" rows="2"></textarea></td>
							  </tr>
							  	 
						</table>
						 <table width="100%" border="0" cellspacing="0" cellpadding="0">
							  <tr>
								 <td><img src="/images/common/spacer.gif" width="10"></td>
							  </tr>
							  <tr>
								<td align="center">
								  <input type="hidden" name="typeSubmit" id="typeSubmit">
								  <!--<input class="button" type="submit" value="Grabar y Nuevo" onclick="$('typeSubmit').value='add';"/>-->
								  <input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='list';">
								  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
								</td>
							  </tr>
							  <tr>
								<td height="10">&nbsp;</td>
							  </tr>
							</table>
    					</fieldset>				
    				</td>
                </tr>
      </table>
      </form>
			<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>
    </td>
  </tr>
</table>
